package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-13
 */

@TableName("Z_EDC_DATA_RESOURCE")

public class EdcDataResource extends Model<EdcDataResource> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("SITE")
   private String site;
   @TableField("RESRCE")
   private String resrce;
   @TableField("DC_GROUP_BO")
   private String dcGroupBo;
   @TableField("DATE_TIME")
   private LocalDateTime dateTime;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("CREATE_USER")
   private String createUser;
   @TableField("S1")
   private String s1;
   @TableField("S2")
   private String s2;
   @TableField("S3")
   private String s3;
   @TableField("S4")
   private String s4;
   @TableField("S5")
   private String s5;
   @TableField("S6")
   private String s6;
   @TableField("S7")
   private String s7;
   @TableField("S8")
   private String s8;
   @TableField("S9")
   private String s9;
   @TableField("S10")
   private String s10;
   @TableField("S11")
   private String s11;
   @TableField("S12")
   private String s12;
   @TableField("S13")
   private String s13;
   @TableField("S14")
   private String s14;
   @TableField("S15")
   private String s15;
   @TableField("S16")
   private String s16;
   @TableField("S17")
   private String s17;
   @TableField("S18")
   private String s18;
   @TableField("S19")
   private String s19;
   @TableField("S20")
   private String s20;
   @TableField("S21")
   private String s21;
   @TableField("S22")
   private String s22;
   @TableField("S23")
   private String s23;
   @TableField("S24")
   private String s24;
   @TableField("S25")
   private String s25;
   @TableField("S26")
   private String s26;
   @TableField("S27")
   private String s27;
   @TableField("S28")
   private String s28;
   @TableField("S29")
   private String s29;
   @TableField("S30")
   private String s30;
   @TableField("N1")
   private Double n1;
   @TableField("N2")
   private Double n2;
   @TableField("N3")
   private Double n3;
   @TableField("N4")
   private Double n4;
   @TableField("N5")
   private Double n5;
   @TableField("N6")
   private Double n6;
   @TableField("N7")
   private Double n7;
   @TableField("N8")
   private Double n8;
   @TableField("N9")
   private Double n9;
   @TableField("N10")
   private Double n10;
   @TableField("N11")
   private Double n11;
   @TableField("N12")
   private Double n12;
   @TableField("N13")
   private Double n13;
   @TableField("N14")
   private Double n14;
   @TableField("N15")
   private Double n15;
   @TableField("N16")
   private Double n16;
   @TableField("N17")
   private Double n17;
   @TableField("N18")
   private Double n18;
   @TableField("N19")
   private Double n19;
   @TableField("N20")
   private Double n20;
   @TableField("N21")
   private Double n21;
   @TableField("N22")
   private Double n22;
   @TableField("N23")
   private Double n23;
   @TableField("N24")
   private Double n24;
   @TableField("N25")
   private Double n25;
   @TableField("N26")
   private Double n26;
   @TableField("N27")
   private Double n27;
   @TableField("N28")
   private Double n28;
   @TableField("N29")
   private Double n29;
   @TableField("N30")
   private Double n30;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getDcGroupBo() {
      return dcGroupBo;
   }

   public void setDcGroupBo(String dcGroupBo) {
      this.dcGroupBo = dcGroupBo;
   }

   public LocalDateTime getDateTime() {
      return dateTime;
   }

   public void setDateTime(LocalDateTime dateTime) {
      this.dateTime = dateTime;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public String getS1() {
      return s1;
   }

   public void setS1(String s1) {
      this.s1 = s1;
   }

   public String getS2() {
      return s2;
   }

   public void setS2(String s2) {
      this.s2 = s2;
   }

   public String getS3() {
      return s3;
   }

   public void setS3(String s3) {
      this.s3 = s3;
   }

   public String getS4() {
      return s4;
   }

   public void setS4(String s4) {
      this.s4 = s4;
   }

   public String getS5() {
      return s5;
   }

   public void setS5(String s5) {
      this.s5 = s5;
   }

   public String getS6() {
      return s6;
   }

   public void setS6(String s6) {
      this.s6 = s6;
   }

   public String getS7() {
      return s7;
   }

   public void setS7(String s7) {
      this.s7 = s7;
   }

   public String getS8() {
      return s8;
   }

   public void setS8(String s8) {
      this.s8 = s8;
   }

   public String getS9() {
      return s9;
   }

   public void setS9(String s9) {
      this.s9 = s9;
   }

   public String getS10() {
      return s10;
   }

   public void setS10(String s10) {
      this.s10 = s10;
   }

   public String getS11() {
      return s11;
   }

   public void setS11(String s11) {
      this.s11 = s11;
   }

   public String getS12() {
      return s12;
   }

   public void setS12(String s12) {
      this.s12 = s12;
   }

   public String getS13() {
      return s13;
   }

   public void setS13(String s13) {
      this.s13 = s13;
   }

   public String getS14() {
      return s14;
   }

   public void setS14(String s14) {
      this.s14 = s14;
   }

   public String getS15() {
      return s15;
   }

   public void setS15(String s15) {
      this.s15 = s15;
   }

   public String getS16() {
      return s16;
   }

   public void setS16(String s16) {
      this.s16 = s16;
   }

   public String getS17() {
      return s17;
   }

   public void setS17(String s17) {
      this.s17 = s17;
   }

   public String getS18() {
      return s18;
   }

   public void setS18(String s18) {
      this.s18 = s18;
   }

   public String getS19() {
      return s19;
   }

   public void setS19(String s19) {
      this.s19 = s19;
   }

   public String getS20() {
      return s20;
   }

   public void setS20(String s20) {
      this.s20 = s20;
   }

   public String getS21() {
      return s21;
   }

   public void setS21(String s21) {
      this.s21 = s21;
   }

   public String getS22() {
      return s22;
   }

   public void setS22(String s22) {
      this.s22 = s22;
   }

   public String getS23() {
      return s23;
   }

   public void setS23(String s23) {
      this.s23 = s23;
   }

   public String getS24() {
      return s24;
   }

   public void setS24(String s24) {
      this.s24 = s24;
   }

   public String getS25() {
      return s25;
   }

   public void setS25(String s25) {
      this.s25 = s25;
   }

   public String getS26() {
      return s26;
   }

   public void setS26(String s26) {
      this.s26 = s26;
   }

   public String getS27() {
      return s27;
   }

   public void setS27(String s27) {
      this.s27 = s27;
   }

   public String getS28() {
      return s28;
   }

   public void setS28(String s28) {
      this.s28 = s28;
   }

   public String getS29() {
      return s29;
   }

   public void setS29(String s29) {
      this.s29 = s29;
   }

   public String getS30() {
      return s30;
   }

   public void setS30(String s30) {
      this.s30 = s30;
   }

   public Double getN1() {
      return n1;
   }

   public void setN1(Double n1) {
      this.n1 = n1;
   }

   public Double getN2() {
      return n2;
   }

   public void setN2(Double n2) {
      this.n2 = n2;
   }

   public Double getN3() {
      return n3;
   }

   public void setN3(Double n3) {
      this.n3 = n3;
   }

   public Double getN4() {
      return n4;
   }

   public void setN4(Double n4) {
      this.n4 = n4;
   }

   public Double getN5() {
      return n5;
   }

   public void setN5(Double n5) {
      this.n5 = n5;
   }

   public Double getN6() {
      return n6;
   }

   public void setN6(Double n6) {
      this.n6 = n6;
   }

   public Double getN7() {
      return n7;
   }

   public void setN7(Double n7) {
      this.n7 = n7;
   }

   public Double getN8() {
      return n8;
   }

   public void setN8(Double n8) {
      this.n8 = n8;
   }

   public Double getN9() {
      return n9;
   }

   public void setN9(Double n9) {
      this.n9 = n9;
   }

   public Double getN10() {
      return n10;
   }

   public void setN10(Double n10) {
      this.n10 = n10;
   }

   public Double getN11() {
      return n11;
   }

   public void setN11(Double n11) {
      this.n11 = n11;
   }

   public Double getN12() {
      return n12;
   }

   public void setN12(Double n12) {
      this.n12 = n12;
   }

   public Double getN13() {
      return n13;
   }

   public void setN13(Double n13) {
      this.n13 = n13;
   }

   public Double getN14() {
      return n14;
   }

   public void setN14(Double n14) {
      this.n14 = n14;
   }

   public Double getN15() {
      return n15;
   }

   public void setN15(Double n15) {
      this.n15 = n15;
   }

   public Double getN16() {
      return n16;
   }

   public void setN16(Double n16) {
      this.n16 = n16;
   }

   public Double getN17() {
      return n17;
   }

   public void setN17(Double n17) {
      this.n17 = n17;
   }

   public Double getN18() {
      return n18;
   }

   public void setN18(Double n18) {
      this.n18 = n18;
   }

   public Double getN19() {
      return n19;
   }

   public void setN19(Double n19) {
      this.n19 = n19;
   }

   public Double getN20() {
      return n20;
   }

   public void setN20(Double n20) {
      this.n20 = n20;
   }

   public Double getN21() {
      return n21;
   }

   public void setN21(Double n21) {
      this.n21 = n21;
   }

   public Double getN22() {
      return n22;
   }

   public void setN22(Double n22) {
      this.n22 = n22;
   }

   public Double getN23() {
      return n23;
   }

   public void setN23(Double n23) {
      this.n23 = n23;
   }

   public Double getN24() {
      return n24;
   }

   public void setN24(Double n24) {
      this.n24 = n24;
   }

   public Double getN25() {
      return n25;
   }

   public void setN25(Double n25) {
      this.n25 = n25;
   }

   public Double getN26() {
      return n26;
   }

   public void setN26(Double n26) {
      this.n26 = n26;
   }

   public Double getN27() {
      return n27;
   }

   public void setN27(Double n27) {
      this.n27 = n27;
   }

   public Double getN28() {
      return n28;
   }

   public void setN28(Double n28) {
      this.n28 = n28;
   }

   public Double getN29() {
      return n29;
   }

   public void setN29(Double n29) {
      this.n29 = n29;
   }

   public Double getN30() {
      return n30;
   }

   public void setN30(Double n30) {
      this.n30 = n30;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String RESRCE = "RESRCE";

public static final String DC_GROUP_BO = "DC_GROUP_BO";

public static final String DATE_TIME = "DATE_TIME";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String CREATE_USER = "CREATE_USER";

public static final String S1 = "S1";

public static final String S2 = "S2";

public static final String S3 = "S3";

public static final String S4 = "S4";

public static final String S5 = "S5";

public static final String S6 = "S6";

public static final String S7 = "S7";

public static final String S8 = "S8";

public static final String S9 = "S9";

public static final String S10 = "S10";

public static final String S11 = "S11";

public static final String S12 = "S12";

public static final String S13 = "S13";

public static final String S14 = "S14";

public static final String S15 = "S15";

public static final String S16 = "S16";

public static final String S17 = "S17";

public static final String S18 = "S18";

public static final String S19 = "S19";

public static final String S20 = "S20";

public static final String S21 = "S21";

public static final String S22 = "S22";

public static final String S23 = "S23";

public static final String S24 = "S24";

public static final String S25 = "S25";

public static final String S26 = "S26";

public static final String S27 = "S27";

public static final String S28 = "S28";

public static final String S29 = "S29";

public static final String S30 = "S30";

public static final String N1 = "N1";

public static final String N2 = "N2";

public static final String N3 = "N3";

public static final String N4 = "N4";

public static final String N5 = "N5";

public static final String N6 = "N6";

public static final String N7 = "N7";

public static final String N8 = "N8";

public static final String N9 = "N9";

public static final String N10 = "N10";

public static final String N11 = "N11";

public static final String N12 = "N12";

public static final String N13 = "N13";

public static final String N14 = "N14";

public static final String N15 = "N15";

public static final String N16 = "N16";

public static final String N17 = "N17";

public static final String N18 = "N18";

public static final String N19 = "N19";

public static final String N20 = "N20";

public static final String N21 = "N21";

public static final String N22 = "N22";

public static final String N23 = "N23";

public static final String N24 = "N24";

public static final String N25 = "N25";

public static final String N26 = "N26";

public static final String N27 = "N27";

public static final String N28 = "N28";

public static final String N29 = "N29";

public static final String N30 = "N30";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "EdcDataResource{" +
         "handle = " + handle +
         ", site = " + site +
         ", resrce = " + resrce +
         ", dcGroupBo = " + dcGroupBo +
         ", dateTime = " + dateTime +
         ", createdDateTime = " + createdDateTime +
         ", createUser = " + createUser +
         ", s1 = " + s1 +
         ", s2 = " + s2 +
         ", s3 = " + s3 +
         ", s4 = " + s4 +
         ", s5 = " + s5 +
         ", s6 = " + s6 +
         ", s7 = " + s7 +
         ", s8 = " + s8 +
         ", s9 = " + s9 +
         ", s10 = " + s10 +
         ", s11 = " + s11 +
         ", s12 = " + s12 +
         ", s13 = " + s13 +
         ", s14 = " + s14 +
         ", s15 = " + s15 +
         ", s16 = " + s16 +
         ", s17 = " + s17 +
         ", s18 = " + s18 +
         ", s19 = " + s19 +
         ", s20 = " + s20 +
         ", s21 = " + s21 +
         ", s22 = " + s22 +
         ", s23 = " + s23 +
         ", s24 = " + s24 +
         ", s25 = " + s25 +
         ", s26 = " + s26 +
         ", s27 = " + s27 +
         ", s28 = " + s28 +
         ", s29 = " + s29 +
         ", s30 = " + s30 +
         ", n1 = " + n1 +
         ", n2 = " + n2 +
         ", n3 = " + n3 +
         ", n4 = " + n4 +
         ", n5 = " + n5 +
         ", n6 = " + n6 +
         ", n7 = " + n7 +
         ", n8 = " + n8 +
         ", n9 = " + n9 +
         ", n10 = " + n10 +
         ", n11 = " + n11 +
         ", n12 = " + n12 +
         ", n13 = " + n13 +
         ", n14 = " + n14 +
         ", n15 = " + n15 +
         ", n16 = " + n16 +
         ", n17 = " + n17 +
         ", n18 = " + n18 +
         ", n19 = " + n19 +
         ", n20 = " + n20 +
         ", n21 = " + n21 +
         ", n22 = " + n22 +
         ", n23 = " + n23 +
         ", n24 = " + n24 +
         ", n25 = " + n25 +
         ", n26 = " + n26 +
         ", n27 = " + n27 +
         ", n28 = " + n28 +
         ", n29 = " + n29 +
         ", n30 = " + n30 +
         "}";
   }
}